For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.v2.addOns.apps.byApp_slug(app_slug).metadata.get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | MetadataGetResponse>
Description
To find out what metadata is required for a specific add-on, send a GET request to /v2/add-ons/apps/{app_slug}/metadata.
Metadata varies by application.
Parameters
app_slug string required
Example: example_app
The slug identifier for the application whose metadata is being requested.
Request Sample
Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
createDigitalOceanClient,
DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";
const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);
const response = await client.v2.addOns.apps
.byApp_slug("example_app").metadata.get();
Response Example
Show Response Example
{
"metadata": [
{
"id": 1,
"name": "country_of_origin",
"display_name": "Country of Origin",
"description": "Country for localization",
"type": "string",
"options": [
"US",
"UK",
"CA"
]
}
]
}
See /v2/add-ons/apps/{app_slug}/metadata in the API reference for additional detail on responses, headers, parameters, and more.